> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh token

> Get new access token using refresh token



## OpenAPI

````yaml post /v1/refresh-token
openapi: 3.0.0
info:
  title: Authentication API
  version: 1.0.0
  description: API for authentication and authorization
servers: []
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Authentication
    description: Authentication operations
paths:
  /v1/refresh-token:
    post:
      tags:
        - Authentication
      summary: Refresh token
      description: Get new access token using refresh token
      responses:
        '200':
          description: Token refresh successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenResponse'
        '401':
          $ref: '#/components/responses/InvalidToken'
components:
  schemas:
    TokenResponse:
      type: object
      required:
        - access_token
        - expires_in
        - user_id
      properties:
        access_token:
          type: string
        expires_in:
          type: integer
          description: Token expiration in seconds
        user_id:
          type: string
          format: uuid
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  responses:
    InvalidToken:
      description: Invalid token
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: auth.invalid_token
            message: Invalid or expired token
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````